﻿/**Begin D:\PDM_UPGRADE\PDM1\HRDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_QUERYAPICONFIG') 
 CREATE TABLE T_HRDI_QUERYAPICONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAINENTITYOBJID VARCHAR(36) DEFAULT ' ' NOT NULL,
FREQUESTMETHOD VARCHAR(2) DEFAULT ' ' NOT NULL,
FADDORDERFIELD CHAR(1) DEFAULT '0' NOT NULL,
FBIZAPPID VARCHAR(36) DEFAULT ' ' NOT NULL,
FISPUBLISHAPI CHAR(1) DEFAULT '0' NOT NULL,
FPUBLISHTIME DATETIME,
FQUERYCONFIGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FCONDITIONVALUE VARCHAR(255) DEFAULT ' ' NOT NULL,
FCONDITIONVALUE_TAG NCLOB,
FQUERYCONFIGTYPE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_APIQUERYENTRY') 
 CREATE TABLE T_HRDI_APIQUERYENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FFIELDNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FFIELDALIAS VARCHAR(100) DEFAULT ' ' NOT NULL,
FFULLFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFIELDVALUETYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FCOMBOITEMMAP VARCHAR(2000) DEFAULT ' ' NOT NULL,
FQUERYENTITYNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUERYENTITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_QUERYAPICONFIG_L') 
 CREATE TABLE T_HRDI_QUERYAPICONFIG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_QUERYAPIRELENTRY') 
 CREATE TABLE T_HRDI_QUERYAPIRELENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FBASEDATAFIELD VARCHAR(36) DEFAULT ' ' NOT NULL,
FLEFTENTITYFIELD VARCHAR(25) DEFAULT ' ' NOT NULL,
FLOGICALREL VARCHAR(10) DEFAULT ' ' NOT NULL,
FRIGHTENTITYOBJID VARCHAR(36) DEFAULT ' ' NOT NULL,
FRIGHTENTITYFIELD VARCHAR(25) DEFAULT ' ' NOT NULL,
FLEFTENTITYFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRIGHTENTITYFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_REQPARAMENTRY') 
 CREATE TABLE T_HRDI_REQPARAMENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FPARAMNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPARAMTYPE VARCHAR(20) DEFAULT ' ' NOT NULL,
FMUST CHAR(1) DEFAULT '0' NOT NULL,
FMULVALUE CHAR(1) DEFAULT '0' NOT NULL,
FPARAMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_QUERYAPIRELENTRY_L') 
 CREATE TABLE T_HRDI_QUERYAPIRELENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FLEFTENTITYFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FRIGHTENTITYFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_APIORDERENTRY') 
 CREATE TABLE T_HRDI_APIORDERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORDERFIELDNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FORDERRULE VARCHAR(10) DEFAULT ' ' NOT NULL,
FORDERFULLFIELDNUMBER VARCHAR(255) DEFAULT ' ' NOT NULL,
FORDERFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERFIELDDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_APIQUERYENTRY_L') 
 CREATE TABLE T_HRDI_APIQUERYENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FFIELDDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FQUERYENTITYNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_REQPARAMENTRY_L') 
 CREATE TABLE T_HRDI_REQPARAMENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FPARAMNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FPARAMDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HRDI_APIORDERENTRY_L') 
 CREATE TABLE T_HRDI_APIORDERENTRY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FORDERFIELDNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FORDERFIELDDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\HRDI_table.sql **/
